Bug 559559 - Review Request: nodm - A display manager automatically starting an X session
Review Request: nodm - A display manager automatically starting an X session
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
Blocks: SOAS-3
  Show dependency treegraph
Reported: 2010-01-28 08:33 EST by Sebastian Dziallas
Modified: 2010-03-01 14:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-01 14:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bochecha: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2010-01-28 08:33:56 EST
Spec URL: http://sdz.fedorapeople.org/rpmbuild/nodm.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/nodm-0.6-1.fc12.src.rpm

Description: This is another requirement from the Sugar packaging effort.
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1949794
Comment 1 Mathieu Bridon 2010-02-12 16:31:27 EST
Package does not build in Mock:
gcc -DNODM_SESSION='"/usr/sbin/nodm"' -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -lpam_misc  -o nodm nodm-nodm.o
/usr/bin/ld: nodm-nodm.o: undefined reference to symbol 'pam_open_session@@LIBPAM_1.0'
/usr/bin/ld: note: 'pam_open_session@@LIBPAM_1.0' is defined in DSO /lib64/libpam.so.0 so try adding it to the linker command line
/lib64/libpam.so.0: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[1]: Leaving directory `/builddir/build/BUILD/nodm-0.6'
make[1]: *** [nodm] Error 1
make: *** [all] Error 2

Looks like the DSO link stuff. I guess you built it in Koji before the change :-/
Comment 2 Mathieu Bridon 2010-02-12 17:07:23 EST
I could make it build:

--- a/nodm-0.6/configure.ac	2009-07-26 20:39:22.000000000 +0200
+++ b/nodm-0.6/configure.ac	2010-02-12 22:55:35.787668929 +0100
@@ -23,7 +23,7 @@
 AC_CHECK_LIB(pam_misc, main,
-	[ PAM_LIBS="$LIBPAM -lpam_misc" ],
+	[ PAM_LIBS="$PAM_LIBS -lpam_misc" ],
 	AC_MSG_ERROR(libpam_misc is missing)

Then, I ran autogen.sh, rebuilt the tarball and built the RPM from it.

You might want to have upstream issue a new release with this (or any other fix they would prefer :)
Comment 3 Sebastian Dziallas 2010-02-14 07:05:29 EST
Cool stuff! I e-mailed upstream on this and am going to update the .spec file in the meantime.
Comment 5 Mathieu Bridon 2010-02-14 08:25:52 EST
+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/nodm-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SPECS/nodm.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
  => BSD and GPLv2+
[+] MUST: The License field in the package spec file must match the actual
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
$ sha1sum nodm-0.6.tar.gz 
ddd5c3748c1b2d82f3c22f0e55028328f96219d2  nodm-0.6.tar.gz
$ sha1sum SOURCES/nodm-0.6.tar.gz 
ddd5c3748c1b2d82f3c22f0e55028328f96219d2  SOURCES/nodm-0.6.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
  => not applicable

[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
  => not applicable

[+] MUST: Packages must not own files or directories already owned by other
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.

Package is APPROVED.
Comment 6 Sebastian Dziallas 2010-02-14 08:31:20 EST
New Package CVS Request
Package Name: nodm
Short Description: A display manager automatically starting an X session 
Owners: sdz
Branches: F-12
Comment 7 Kevin Fenzi 2010-02-15 22:49:56 EST
CVS done (by process-cvs-requests.py).

(remember to assign reviews to the reviewer)
Comment 8 Sebastian Dziallas 2010-03-01 14:24:07 EST
This has been built successfully. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.